<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Update: TextGridLab 3.0
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Introduction_7439941.html">Introduction</a></span>
              </li>
              <li>
                <span><a href="Getting-Started_7439062.html">Getting Started</a></span>
              </li>
              <li>
                <span><a href="Troubleshooting_18809102.html">Troubleshooting</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Update: TextGridLab 3.0</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Thorsten Vitt</span>, last modified on Apr 27, 2015
          </div>
          <div id="main-content" class="wiki-content group">
            <p>
              When updating to TextGridLab 3.0 there might be some issues due to the version gap. Please read the following notes before updating.
            </p>
            <h2 id="Update:TextGridLab3.0-MacOSX:Separatedownloadrequired">
              Mac OS X: Separate download required
            </h2>
            <p>
              Unlike previous versions, TextGridLab 3.0 for Mac OS X comes with the typical Apple file layout: After unpacking, you will find an application named <em>TextGridLab</em> containing all parts of the software. However, updating from the old to the new file layout using the Lab's built-in update mechanism is not possible. As a <strong>Mac user, <a href="https://textgrid.de/en/registrierungdownload/download-und-installation/" class="external-link" rel="nofollow">please download the new version from our homepage</a></strong>, and re-install your external plugins from the marketplace.
            </p>
            <p>
              To <strong>keep your previous settings</strong> also within the update, choose the new Lab in the Finder, open its context menu (right-click / ctrl-click / two-finger-tap) and choose “Show package contents”. Continue similarly with the <code>textgridlab</code> object of the previous Lab installation. From here, navigate to the folder <em>MacOS/Contents</em> and move the <em>workspace</em> folder from the old to the new TextGridLab.app/MacOS/Contents location.
            </p>
            <h2 id="Update:TextGridLab3.0-Linux:Quitinsteadofrestartafterupdate">
              Linux: Quit instead of restart after update
            </h2>
            <p>
              On Linux you can use the built-in update functionality to upgradte to TextGridLab 3.0. However, the restarting the lab as suggested after the update will hang during the splash screen. We recommend to <strong>deny the restart after updating, to quit the TextGridLab and start it again manually.</strong> If you accidently do restart and your Lab hangs in the splash screen, simply force close the application and start it again – future starts will work.
            </p>
            <h2 id="Update:TextGridLab3.0-Java&#x2265;7required">
              Java ≥ 7 required
            </h2>
            <p>
              TextGridLab 3.0 requires <a href="https://www.java.com/" class="external-link" rel="nofollow">at least Java 7</a> – Users of Java 6 please notice that this version is unmaintained for years and has severe security issues.
            </p>
            <h2 id="Update:TextGridLab3.0-Updateofexternal/Marketplaceplugins(Oxygenetc.)">
              Update of external / Marketplace plugins (Oxygen etc.)
            </h2>
            <p>
              Due to the technology change it might be required to update third-party plugins. E.g., Oxygen versions &lt; 16 cannot be installed in TextGridLab 3.0. The update mechanism should offer an update during TextGridLab update.
            </p>
            <p>
               
            </p>
            <p>
               
            </p>
            <p>
               
            </p>
            <p>
              General hints for system specific problems can be found on our <a href="Troubleshooting_18809102.html">troubleshooting</a> page.
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
